<?php

namespace Drp\ProjectHelpers\Tests\Concerns;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Collection;

/**
 * Class ModelChecker
 * @package Drp\ProjectHelpers\Tests\Concerns
 */
class ModelChecker
{
    /**
     * @param Model $expected
     * @param Model $actual
     * @return bool
     */
    public static function isSameModel(Model $expected, Model $actual) : bool
    {
        return get_class($actual) === get_class($expected) && $expected->id === $actual->id;
    }

    /**
     * @param Model $expected
     * @param \Illuminate\Support\Collection $collection
     * @return bool
     */
    public static function collectionContainsModel(Model $expected, Collection $collection) : bool
    {
        return $collection->contains(function ($model) use ($expected) {
            return self::isSameModel($expected, $model);
        });
    }
}